package com.palmnest.dao.estateserve;

import java.math.BigDecimal;
import java.util.List;

import com.palmnest.dao.GenericDao;
import com.palmnest.model.RoomInfo;

/**
 * 房间号DAO接口类
 *
 * @author longmeizhen
 */
public interface RoomInfoDao extends GenericDao<RoomInfo, Integer> {
	/**
	 * 根据楼层
	 * 获取房间号信息集合信息
	 *
	 * @param roleType
	 * @return
	 */
	public List<RoomInfo> getRoomInfoByFloorId(int floorId) throws Exception;

	/**
	 * 获取房间号信息集合信息
	 *
	 * @param roleType
	 * @return
	 */
	public List<RoomInfo> getRoomInfo() throws Exception;

	/**
	 * 添加房间的方法
	 *
	 * @param roomInfo
	 * @return
	 * @throws Exception
	 */
	public RoomInfo saveFloorInfo(RoomInfo roomInfo) throws Exception;

	/**
	 * 根据楼层
	 * 获取房间号信息集合信息
	 *
	 * @param roleType
	 * @return
	 */
	public List<RoomInfo> getRoomListByRoomIds(int floorId, String roomIds) throws Exception;

	public List<RoomInfo> getRoomListByName(String name) throws Exception;

	public List<RoomInfo> getRoomListByFloorIds(String floorIds) throws Exception;

	public List<RoomInfo> getRoomListByRooms(String rooms) throws Exception;

	public List<RoomInfo> getRoomListByRooms(String floorIds, String rooms) throws Exception;

	List<RoomInfo> getRoomListByRoomNos(String roomNos) throws Exception;

	BigDecimal getSumArueByFloorId(int floorId) throws Exception;
}
